/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('taxcompanyinfo', {
    company_name : DataTypes.STRING,
    usc_code : DataTypes.STRING,
    tax_month : DataTypes.DATE,
    actual_amount : DataTypes.STRING,
    income_tax : DataTypes.STRING,
    added_value_tax : DataTypes.STRING,
    tax_time : DataTypes.DATE,
    people_number : DataTypes.STRING,
    sign_body_id : DataTypes.INTEGER,
    sign_body : DataTypes.STRING,
    tax_url : DataTypes.STRING,
    redundance_1 : DataTypes.STRING,
    redundance_2 : DataTypes.STRING,
    redundance_3 : DataTypes.STRING,
    redundance_4 : DataTypes.STRING,
  }, {
    paranoid: true,//假的删除
    underscored: true,
    version: false,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'tax_company_info',
    validate: {

    },
    indexes:[
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
};
